﻿
.txt_label {
    text-decoration: underline;
    cursor: pointer;
}

.text_link {
    color: #1E90FF !important;
    border-bottom: 2px dotted #ccc;
    cursor: pointer;
}

/* ポップアップwindow部分 */
#overlay {
    visibility: hidden;
    position: absolute;
    left: 0;
    top: 0;
    z-index: 70;
    width: 100%;
    height: 100%;
}
/* オーバーレイの背景部分 */
#bg_gray {
    background: rgba(0,0,0,0.5);
    width: 100%;
    height: 100%;
    position: fixed;
    left: 0;
    top: 0;
    z-index: 80;
}
/* ウィンドウ部分 */
#window {
    width: 70%;
    padding: 20px;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    background: #fff;
    border-radius: 10px;
    box-shadow: 0px 0px 20px -6px rgba(0,0,0,0.6);
    z-index: 90;
    opacity: 0;
}
/* 閉じるボタン */
#btn_cloth {
    position: absolute;
    top: 20px;
    right: 20px;
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: gray;
    border-radius: 5px;
    z-index: 100;
    cursor: pointer;
}

    #btn_cloth:hover {
        opacity: 0.7;
    }

    #btn_cloth span,
    #btn_cloth span::before {
        display: block;
        height: 3px;
        width: 25px;
        border-radius: 3px;
        background: #fff;
    }

    #btn_cloth span {
        transform: rotate(45deg);
    }

        #btn_cloth span::before {
            content: "";
            position: absolute;
            bottom: 0;
            transform: rotate(-90deg);
        }


/* クリックで表示 */
#popup:checked ~ #overlay {
    visibility: visible;
}

#popup:checked ~ #overlay #window {
    animation: fadein 500ms forwards;
    animation-timing-function: ease-in-out;
}

@keyframes fadein {
    100% {
        opacity: 1;
    }
}

.modal-title {
    font-size: larger;
    margin: 0 auto 3% auto;
}
